set xterm window title

This commit is contained in:
Linux User 2008-11-08 13:45:30 +00:00
parent 83273660a8
commit b89cd09513
1 changed files with 13 additions and 2 deletions

15
abuild
View File

@ -58,8 +58,19 @@ error() {
printf "${prompt} ${fake}${name}: $@\n" >&2
}
set_xterm_title() {
if [ "$TERM" = xterm ]; then
printf "\033]0;$1\007"
fi
}
cleanup() {
set_xterm_title ""
}
die() {
error "$@"
cleanup
exit 1
}
@ -457,8 +468,7 @@ if [ -n "$subpkgname" ]; then
fi
trap 'die "Aborted by user"' INT
[ -n "$forceunpack" ] && rm -f "$srcdir"/.unpack
set_xterm_title "abuild: $pkgname"
if [ -z "$1" ]; then
@ -473,4 +483,5 @@ while [ $# -gt 0 ]; do
runpart $1
shift
done
cleanup